/////////////////////////////////////////////////////////////////////////////
// wincheck.cpp: application declaration file

#ifndef __WINCHECK_H__
#define __WINCHECK_H__


// Private Data  
#define	FONT_NAME			"MS Sans Serif"
#define	FONT_HEIGHT			8
#define MARGIN_WIDTH		2
#define MARGIN_HEIGHT		2
#define	WINCHECK_TIMER_ID	0x01
#define LAST_CONDENSED_INFO	4


// Default Values
#define	DEF_X_POS			0
#define	DEF_Y_POS			0
#define DEF_INK_COLOR		"White"
#define DEF_PAPER_COLOR		"Yellow"
#define	DEF_CONDENSED		1
#define	DEF_ALWAYS_ON_TOP	1
#define	DEF_UPDATING_RATE	10


// .INI Macros
#define	SECTION				"Settings"	
#define	X_POS_ENTRY			"xCoor"
#define	Y_POS_ENTRY			"yCoor"
#define INK_COLOR_ENTRY		"Ink"
#define PAPER_COLOR_ENTRY	"Paper"
#define	CONDENSED_ENTRY		"Condensed"
#define	ALWAYS_ON_TOP_ENTRY	"TopMost Window"
#define	UPDATING_RATE_ENTRY	"Updating Rate"


/////////////////////////////////////////////////////////////////////////////

// CMainWindow:
class CMainWindow : public CFrameWnd
{
public:
	CMainWindow();
	~CMainWindow();

	// Used For Window Moving
	CRect	m_winPos;
	CPoint	m_clicked;
	
	// Window Attributes
	int		m_tabStop;  
	CFont	m_font;
	
	// Main Window Properties
	int	m_xPos;
	int	m_yPos;
		
	COLORREF m_ink;
	COLORREF m_paper;
	
	BOOL	m_condensed;
	BOOL	m_alwaysOnTop;
	int		m_updatingRate;
	
	// System Info           
	DWORD	m_freeMemory;
	DWORD	m_freeMemoryBlock;
	UINT	m_systemResources;
	UINT	m_GDIResources;
	UINT	m_userResources;
	CString	m_cpuType;
	CString	m_coprocessor;
	CString	m_MSDOSVersion;
	CString	m_winVersion;
	CString	m_runningMode;
	DWORD	m_diskSpace;

	
	//{{AFX_MSG(CMainWindow)
	afx_msg void OnPaint();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	//}}AFX_MSG

	void InitMainWindow();

	DECLARE_MESSAGE_MAP()
};





/////////////////////////////////////////////////////////////////////////////
// CParameters dialog

class CParameters : public CDialog
{
// Construction
public:
	CParameters(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CParameters)
	enum { IDD = IDD_PARAMETERS };
	CComboBox	m_ctrlPaper;
	CComboBox	m_ctrlInk;
	int			m_updatingRate;
	CString		m_selInk;
	CString		m_selPaper;
	//}}AFX_DATA

	// Public Interface 
	COLORREF	m_ink;
	COLORREF	m_paper;
	BOOL		m_condensed;
	BOOL		m_alwaysOnTop;
	
// Implementation
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	// Generated message map functions
	//{{AFX_MSG(CParameters)
	afx_msg void OnClickedAbout();
	afx_msg void OnClickedClose();
	afx_msg void OnClickedSave();
	afx_msg void OnClickedCondensed();
	afx_msg void OnClickedAlwaysontop();
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};





/////////////////////////////////////////////////////////////////////////////
// CTheApp:
// See hello.cpp for the code to the InitInstance member function.
//
class CTheApp : public CWinApp
{
public:
	BOOL InitInstance();
};

/////////////////////////////////////////////////////////////////////////////

#endif // __WINCHECK_H__

